%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% INSERINDO COMENTÁRIOS EM ARQUIVOS .bib %%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% 1. Como em outros arquivos LaTeX, comentários são iniciados por "%" e,
%    portanto, é preciso usar "\%" para imprimir o caractere "%". Esquecer
%    disso pode gerar erros difíceis de encontrar!
%
% 2. Não é possível inserir comentários dentro de uma entrada, apenas fora.
%
% 3. Não é possível incluir o caractere arroba em um comentário.
%
% 4. Se quiser desabilitar temporariamente um campo ("comentar" o campo),
%    troque seu nome para algum nome inválido, como "author-disable".
%    Se quiser fazer alguma observação permanente dentro de uma entrada,
%    você também pode usar algum nome de campo inválido, como "lembrete",
%    ou usar o campo "annotation", que normalmente é ignorado.
%
% 5. Se quiser desabilitar temporariamente uma entrada inteira ("comentar" a
%    entrada), não basta colocar "%" nas linhas correspondentes por causa do
%    caractere arroba; também é preciso remover a arroba.
%
% 6. Na verdade, as regras não são bem essas, mas segui-las é uma boa ideia:
%    https://tex.stackexchange.com/a/262282


% Esta entrada está comentada, ou seja, não tem efeito: se houvesse uma
% referência a ela no texto, a referência ficaria inválida. Observe que,
% para isso, o caractere arroba foi apagado!
%Book{JW82,
% author    = {Richard A. Johnson and Dean W. Wichern},
% title     = {Applied Multivariate Statistical Analysis},
% publisher = {Prentice-Hall},
% year      = {1983}
%}

% Esta entrada não está em uso em tese-exemplo, apenas em
% apresentacao-exemplo, mas isso não é um problema: você pode
% ter um banco de dados com todos os papers que são de seu
% interesse e, em um dado texto, citar apenas alguns deles.
@book{Tanenbaum,
author = {Tanenbaum, Andrew S.},
isbn = {013359162X},
pages = {1101},
title = {Modern operating systems.},
year = {2014}
}
@book{Corbet2005,
author = {Corbet, Jonathan. and Rubini, Alessandro. and Kroah-Hartman, Greg. and Rubini, Alessandro.},
isbn = {9780596005900},
pages = {615},
publisher = {O'Reilly},
title = {Linux device drivers},
year = {2005}
}
@article{Soldani2018,
author = {Soldani, Jacopo and Tamburri, Damian Andrew and Heuvel, Willem-Jan Van Den},
issn = {0164-1212},
journal = {Journal of Systems and Software},
pages = {215--232},
title = {The pains and gains of microservices: A Systematic grey literature review},
volume = {146},
year = {2018}
}
@book{Bovet2005,
author = {Bovet, Daniel P and Cesati, Marco},
publisher = {" O'Reilly Media, Inc."},
title = {Understanding the Linux Kernel: from I/O ports to process management},
year = {2005}
}
@book{Kemmis1988,
author = {ed Kemmis and ed McTaggart and {Di Chiro}, G and Reid, J and Robottom, I and Tinning, R and White, L},
title = {The Action Research Planner. Third Edition},
year = {1988}
}
@book{Stringer2013,
author = {Stringer, E T},
isbn = {9781483320731},
publisher = {SAGE Publications},
title = {Action Research},
year = {2013}
}
@article{Garousi2018,
author = {Garousi, Vahid and Felderer, Michael and Mantyla, Mika},
journal = {Information and Software Technology},
month = {4},
title = {Guidelines for including grey literature and conducting multivocal literature reviews in software engineering},
year = {2018}
}
@article{Howison2005,
author = {Howison, James and Conklin, Megan and Crowston, Kevin},
journal = {IJITWE},
pages = {17--26},
title = {FLOSSmole: A Collaborative Repository for FLOSS Research Data and Analyses},
volume = {1},
year = {2005}
}
@inproceedings{Osterlie2007,
author = {Osterlie, Thomas and Jaccheri, Letizia},
booktitle = {Proceeding of the 2nd AIS SIGSAND European Symposium on Systems Analysis and Design, Gdansk, Poland},
title = {A critical review of software engineering research on open source software development},
year = {2007}
}
@inproceedings{Fagerholm2014,
author = {Fagerholm, Fabian and Guinea, Alejandro S and Munch, Jurgen and Borenstein, Jay},
booktitle = {Proceedings of the 8th ACM/IEEE International Symposium on Empirical Software Engineering and Measurement},
isbn = {978-1-4503-2774-9},
pages = {55:1--55:10},
publisher = {ACM},
series = {ESEM '14},
title = {The Role of Mentoring and Project Characteristics for Onboarding in Open Source Software Projects},
year = {2014}
}
@article{Fagerholm2013,
author = {Fagerholm, Fabian and Johnson, Patrik and Guinea, Alejandro Sanchez and Borenstein, Jay and Munch, Jurgen},
journal = {CoRR},
keywords = {dblp},
title = {Onboarding in Open Source Software Projects: A Preliminary Analysis.},
volume = {abs/1311.1334},
year = {2013}
}
@article{Ducheneaut2005,
author = {Ducheneaut, Nicolas},
journal = {Computer Supported Cooperative Work},
number = {4},
pages = {323--368},
title = {Socialization in an Open Source Software Community: A Socio-Technical Analysis},
volume = {14},
year = {2005}
}
@article{Mockus2002,
author = {Mockus, Audris and Fielding, Roy T and Herbsleb, James D},
issn = {1049-331X},
journal = {ACM Trans. Softw. Eng. Methodol.},
month = {7},
number = {3},
pages = {309--346},
publisher = {ACM},
title = {Two case studies of open source software development: Apache and Mozilla},
volume = {11},
year = {2002}
}
@phdthesis{Sabino2009,
annote = {[in portuguese]},
author = {Sabino, Vanessa},
school = {Department of Computer Science – Institute of Mathematics and Statistics of University of Sao Paulo},
title = {A systematic study on Free Software License},
year = {2009}
}
@article{Hippel2003,
author = {von Hippel, Eric and von Krogh, Georg},
issn = {1526-5455},
journal = {Organization Science},
month = {3},
number = {2},
pages = {209--223},
publisher = {INFORMS},
title = {Open Source Software and the "Private-Collective" Innovation Model: Issues for Organization Science},
volume = {14},
year = {2003}
}
@inproceedings{Kon2011,
author = {Kon, Fabio and Meirelles, Paulo and Lago, Nelson and Terceiro, Antonio and Chavez, Christina and Mendonza, Manoel},
booktitle = {SBES},
isbn = {978-1-4577-2187-8},
pages = {82--91},
publisher = {IEEE Computer Society},
title = {Free and Open Source Software Development and Research: Opportunities for Software Engineering.},
year = {2011}
}
@inproceedings{Kon2012,
annote = {[in portuguese]},
author = {Kon, Fabio and Lago, Nelson and Meirelles, Paulo and Sabino, Vanessa},
booktitle = {XXXI Jornadas de Atualização em Informática},
title = {Software livre e propriedade intelectual: aspectos jur$\backslash$'$\backslash$idicos, licenças e modelos de negócio},
year = {2012}
}
@article{Raymond1999,
author = {Raymond, Eric},
issn = {0897-1986},
journal = {Knowledge, Technology and Policy},
month = {9},
number = {3},
pages = {23--49},
title = {The cathedral and the bazaar},
volume = {12},
year = {1999}
}
@article{Fitzgerald2006,
author = {Fitzgerald, Brian},
issn = {02767783},
journal = {MIS Quarterly},
number = {3},
pages = {587--598},
publisher = {Management Information Systems Research Center, University of Minnesota},
title = {The Transformation of Open Source Software},
volume = {30},
year = {2006}
}
@book{Rothstein2005,
author = {Rothstein, Hannah. and Sutton, A. J. and Borenstein, Michael.},
isbn = {9780470870143},
pages = {356},
publisher = {Wiley},
title = {Publication bias in meta-analysis : prevention, assessment and adjustments},
year = {2005}
}
@article{Tripp2005,
annote = {[in portuguese]},
author = {Tripp, David},
issn = {1517-9702},
journal = {Educação e Pesquisa},
month = {12},
number = {3},
pages = {443--466},
publisher = {Faculdade de Educação da Universidade de São Paulo},
title = {Pesquisa-ação: uma introdução metodológica},
volume = {31},
year = {2005}
}
@book{Kemmis2014,
address = {Singapore},
author = {Kemmis, Stephen and McTaggart, Robin and Nixon, Rhonda},
isbn = {978-981-4560-66-5},
publisher = {Springer Singapore},
title = {The Action Research Planner},
year = {2014}
}
@article{Bruntink2015,
author = {Bruntink, Magiel},
issn = {0167-6423},
journal = {Science of Computer Programming},
keywords = {Base rates,Open source software,Software analytics,Software engineering},
pages = {135--142},
title = {Towards base rates in software analytics: Early results and challenges from studying Ohloh},
volume = {97},
year = {2015}
}
@article{Schach2002,
author = {Schach, S.R. and Jin, B. and Wright, D.R. and Heller, G.Z. and Offutt, A.J.},
issn = {14625970},
journal = {IEE Proceedings - Software},
number = {1},
pages = {18},
title = {Maintainability of the Linux kernel},
volume = {149},
year = {2002}
}
@article{Sanders1998,
author = {Sanders, J.},
journal = {IEEE Software},
number = {5},
pages = {88--91},
title = {Linux, open source, and software's future},
volume = {15},
year = {1998}
}
@book{Feller2002,
author = {Feller, Joseph and Fitzgerald, Brian},
isbn = {0201734966},
pages = {211},
publisher = {Addison-Wesley},
title = {Understanding Open Source Software development},
year = {2002}
}
@misc{Rigby2008,
author = {Rigby, Peter C. and German, Daniel M. and Storey, Margaret-Anne},
title = {Open source software peer review practices : A case study of the Apache Server},
year = {2008}
}
@article{Rigby2014,
author = {Rigby, Peter C. and German, Daniel M. and Cowen, Laura and Storey, Margaret-Anne},
journal = {ACM Transactions on Software Engineering and Methodology},
month = {9},
number = {4},
pages = {1--33},
publisher = {ACM},
title = {Peer Review on Open-Source Software Projects},
volume = {23},
year = {2014}
}
@article{Scacchi2006,
author = {Scacchi, Walt and Feller, Joseph and Fitzgerald, Brian and Hissam, Scott and Lakhani, Karim},
issn = {1077-4866},
journal = {Software Process: Improvement and Practice},
month = {3},
number = {2},
pages = {95--105},
publisher = {John Wiley and Sons, Ltd},
title = {Understanding Free/Open Source Software Development Processes},
volume = {11},
year = {2006}
}
@inproceedings{Scacchi2007,
address = {New York, New York, USA},
author = {Scacchi, Walt and Walt},
booktitle = {The 6th Joint Meeting on European software engineering conference and the ACM SIGSOFT symposium on the foundations of software engineering companion papers - ESEC-FSE companion '07},
pages = {459},
publisher = {ACM Press},
title = {Free/open source software development},
year = {2007}
}
@article{Crowston2012,
author = {Crowston, Kevin and Wei, Kangning and Howison, James and Wiggins, Andrea},
journal = {ACM Computing Surveys},
month = {2},
number = {2},
pages = {1--35},
publisher = {ACM},
title = {Free/Libre open-source software development},
volume = {44},
year = {2012}
}
@article{Godin2015,
author = {Godin, Katelyn and Stapleton, Jackie and Kirkpatrick, Sharon I. and Hanning, Rhona M. and Leatherdale, Scott T.},
issn = {2046-4053},
journal = {Systematic Reviews},
month = {10},
pages = {138},
publisher = {BioMed Central},
title = {Applying systematic review search methods to the grey literature: a case study examining guidelines for school-based breakfast programs in Canada},
volume = {4},
year = {2015}
}
@article{Mahood2014,
author = {Mahood, Quenby and Van Eerd, Dwayne and Irvin, Emma},
issn = {17592879},
journal = {Research Synthesis Methods},
month = {9},
number = {3},
pages = {221--234},
publisher = {John Wiley and Sons, Ltd},
title = {Searching for grey literature for systematic reviews: challenges and benefits},
volume = {5},
year = {2014}
}
@article{Soldani2018,
author = {Soldani, Jacopo and Tamburri, Damian Andrew and Van Den Heuvel, Willem-Jan},
issn = {0164-1212},
journal = {Journal of Systems and Software},
month = {12},
pages = {215--232},
publisher = {Elsevier},
title = {The pains and gains of microservices: A Systematic grey literature review},
volume = {146},
year = {2018}
}
@article{Paez2017,
author = {Paez, Arsenio},
issn = {17565391},
journal = {Journal of Evidence-Based Medicine},
month = {8},
number = {3},
pages = {233--240},
publisher = {John Wiley and Sons, Ltd (10.1111)},
title = {Gray literature: An important resource in systematic reviews},
volume = {10},
year = {2017}
}

@book{robson_realresearch,
author = {Robson, Colin and McCartan, Kieran},
isbn = {111874523X},
pages = {533},
title = {{Real world research : a resource for users of social research methods in applied settings}},
year = {2016}
}

@misc{stallman_1983,
title={Initial Announcement},
url={https://www.gnu.org/gnu/initial-announcement.html},
journal={GNU Operating System},
author={Stallman, Richard},
year={1983},
month={9}
}
@misc{stallman_gnu,
title={About the GNU Operating System},
url={https://www.gnu.org/gnu/about-gnu.html},
journal={GNU Operating System},
author={Stallman, Richard},
year={2018},
month={12}
}

@misc{gnu_history,
title={Overview of the GNU System},
url={https://www.gnu.org/gnu/gnu-history.html},
journal={GNU Operating System},
author={Free Software Foundation},
year={2017},
month={4}
}

@misc{torvalds_1992,
url={http://www.cs.cmu.edu/~awb/linux.history.html},
journal={LINUX's History by Linus Torvalds},
author={Torvalds, Linus},
year={1992},
month={7}
}

@misc{stallman_2019,
title={Why Open Source misses the point of Free Software},
url={https://www.gnu.org/philosophy/open-source-misses-the-point.html},
journal={GNU Operating System},
publisher={Free Software Foundation},
author={Stallman, Richard},
year={2019},
month={4}
}

@misc{torvalds_2007,
title={Re: Dual-Licensing Linux Kernel with GPL V2 and GPL V3},
url={https://marc.info/?l=linux-kernel&m=118236278730043&w=4},
journal={MARC},
author={Torvalds, Linus},
year={2007},
month={6}
}

@misc{ted_2016,
title={The quotable Linus Torvalds, live onstage at TED},
url={https://blog.ted.com/the-quotable-linus-torvalds-live-onstage-at-ted/},
author={McManus, Emily},
journal={TED Blog},
year={2016},
month={2}
}

@misc{torvalds_2018,
title={Linux 4.19-rc4 released, an apology, and a maintainership note},
url={https://lkml.org/lkml/2018/9/16/167},
journal={lkml.org},
author={Torvalds, Linus},
year={2018},
month={9}
}

@misc{gpl,
title={GNU General Public License},
url={https://www.gnu.org/licenses/gpl.html},
journal={GNU Operating System},
author={Free Software Foundation},
year={2007},
month={6}
}

@misc{ibm_kernel,
title={Anatomia do Kernel Linux},
url={https://www.ibm.com/developerworks/br/library/l-linux-kernel/index.html},
journal={IBM},
author={Jones, Tim},
year={2007},
month={7}
}

@misc{linux_corbet,
title={How to Participate in the Linux Community},
url={https://www.linux.com/publications/how-participate-linux-community},
journal={Linux.com | The source for Linux information},
author={Corbet,Jonathan},
year={2016},
month={8}
}

@misc{kernel_newbies,
title={Scheduler},
url={https://kernelnewbies.org/Documentation/Subsystems},
journal={Documentation/Subsystems - Linux Kernel Newbies},
author={KernelNewbies: Community},
year={2017},
month={12}
}

@article{Sharp2016,
author = {Sharp, Helen and Dittrich, Yvonne and de Souza, Cleidson R. B.},
title = {The Role of Ethnographic Studies in Empirical Software Engineering},
journal = {IEEE Trans. Softw. Eng.},
volume = {42},
number = {8},
year = {2016},
issn = {0098-5589},
pages = {786--804},
numpages = {19},
publisher = {IEEE Press},
address = {Piscataway, NJ, USA},
}

@inproceedings{Melo2013,
  title={Productivity of agile teams: an empirical evaluation of factors and monitoring processes},
  author={Melo, Claudia de O.},
  year={2013}
}

@article{Biolchini2007,
title = "Scientific research ontology to support systematic review in software engineering",
journal = "Advanced Engineering Informatics",
volume = "21",
number = "2",
pages = "133 - 151",
year = "2007",
note = "Ontology of Systems and Software Engineering; Techniques to Support Collaborative Engineering Environments",
author = "Jorge Calmon de Almeida Biolchini and Paula Gomes Mian and Ana Candida Cruz Natali and Tayana Uchôa Conte and Guilherme Horta Travassos",
}

@article{Kitchenham2009,
 author = {Kitchenham, Barbara and Pearl Brereton, O. and Budgen, David and Turner, Mark and Bailey, John and Linkman, Stephen},
 title = {Systematic Literature Reviews in Software Engineering - A Systematic Literature Review},
 journal = {Inf. Softw. Technol.},
 volume = {51},
 number = {1},
 year = {2009},
 pages = {7--15},
 numpages = {9},
 publisher = {Butterworth-Heinemann},
 address = {Newton, MA, USA},
}

@inproceedings{Cochrane2008,
  title={Cochrane handbook for systematic reviews of interventions},
  author={Julian P. T. Higgins and Sally Terry Green},
  year={2008}
}

@MISC{Kitchenham2007,
    author = {B. Kitchenham and S Charters},
    title = {Guidelines for performing Systematic Literature Reviews in Software Engineering},
    year = {2007}
}

@inproceedings{Budgen2006,
 author = {Budgen, David and Brereton, Pearl},
 title = {Performing Systematic Literature Reviews in Software Engineering},
 booktitle = {Proceedings of the 28th International Conference on Software Engineering},
 series = {ICSE '06},
 year = {2006},
 isbn = {1-59593-375-1},
 location = {Shanghai, China},
 pages = {1051--1052},
 numpages = {2},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {evidence, systematic literature review},
} 

@article{Kitchenham2013,
 author = {Kitchenham, Barbara and Brereton, Pearl},
 title = {A Systematic Review of Systematic Review Process Research in Software Engineering},
 journal = {Inf. Softw. Technol.},
 volume = {55},
 number = {12},
 year = {2013},
 publisher = {Butterworth-Heinemann},
 address = {Newton, MA, USA},
 keywords = {Mapping study, Systematic literature review, Systematic review, Systematic review methodology},
}

@book{Edmonds2013,
author = {Edmonds, W. Alex and Kennedy, Thomas D.},
isbn = {9781483317274},
pages = {364},
title = {{An applied guide to research designs : quantitative, qualitative, and mixed methods}},
year= {2013}
}

@article{Sarmento2011,
annote = {[in portuguese]},
author = {Sarmento, Manuel Jacinto},
publisher = {Lamparina Editora},
title = {{O estudo de caso etnogr{\'{a}}fico em educa{\c{c}}{\~{a}}o}},
year = {2011}
}

@incollection{Seaman2008,
address = {London},
author = {Seaman, Carolyn B.},
booktitle = {Guide to Advanced Empirical Software Engineering},
pages = {35--62},
publisher = {Springer London},
title = {{Qualitative Methods}},
year = {2008}
}

@book{Miles2015,
author = {Miles, Matthew B.},
publisher = {Sage Pubns},
title = {{Qualitative Data Analysis + the Coding Manual for Qualitative Researchers, 3rd Ed.}},
year = {2015}
}

@book{Fogel2005,
       author = {Karl Fogel},
       title = {Producing Open Source Software: How to Run a Successful Free Software Project},
       publisher = {O'Reilly Media},
       month = {1},
       year = {2017},
       edition = {Second}
     }

@book{Goldman2005,
author = {Goldman, Ron and Gabriel, Richard P.},
pages = {402},
publisher = {Morgan Kaufmann},
title = {{Innovation happens elsewhere : open source as business strategy}},
year = {2005}
}

@misc{danvetter_post,
title={Linux Kernel Maintainer Statistics},
url={https://blog.ffwll.ch/2018/04/maintainer-statistics.html},
author={Vetter, Daniel},
year={2018},
month={4}
}

@misc{kernel_process,
title={How the development process works},
url={https://www.kernel.org/doc/html/v4.15/process/2.Process.html},
journal={Documentation/Working with the kernel development community/A guide to the Kernel Development Process - The Linux Kernel},
author={Kernel.org: Community},
year={2019},
month={7}
}

@article{Seaman1999,
author = {Seaman, C.B.},
journal = {IEEE Transactions on Software Engineering},
number = {4},
pages = {557--572},
title = {{Qualitative methods in empirical studies of software engineering}},
volume = {25},
year = {1999}
}

@article{Lakhani2003,
author = {Lakhani, Karim and Wolf, Robert G.},
journal = {SSRN Electronic Journal},
month = {sep},
title = {{Why Hackers Do What They Do: Understanding Motivation and Effort in Free/Open Source Software Projects}},
year = {2003}
}

@inproceedings{Scacchi2010,
 author = {Scacchi, Walt},
 title = {The Future of Research in Free/Open Source Software Development},
 booktitle = {Proceedings of the FSE/SDP Workshop on Future of Software Engineering Research},
 series = {FoSER '10},
 year = {2010},
 pages = {315--320},
 numpages = {6},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@inbook{Crowston2017,
address = {Cham},
author = {Crowston, Kevin and Squire, Megan},
booktitle = {Big Data Factories: Collaborative Approaches},
editor = {Matei, Sorin Adam and Jullien, Nicolas and Goggins, Sean P},
pages = {79--100},
publisher = {Springer International Publishing},
title = {{Lessons Learned from a Decade of FLOSS Data Collection}},
year = {2017}
}

@incollection{Crowston2016,
address = {Cham},
author = {Crowston, Kevin},
booktitle = {Handbook of Science and Technology Convergence},
pages = {475--486},
publisher = {Springer International Publishing},
title = {{Open Source Technology Development}},
year = {2016}
}

@inproceedings{Jensen2007,
author = {Jensen, Chris and Scacchi, Walt},
booktitle = {29th International Conference on Software Engineering (ICSE'07)},
month = {may},
pages = {364--374},
publisher = {IEEE},
title = {{Role Migration and Advancement Processes in OSSD Projects: A Comparative Case Study}},
year = {2007}
}

@article{Steinmacher2015,
author = {Steinmacher, Igor and {Graciotto Silva}, Marco Aurelio and Gerosa, Marco Aurelio and Redmiles, David F.},
journal = {Information and Software Technology},
month = {mar},
pages = {67--85},
title = {{A systematic literature review on the barriers faced by newcomers to open source software projects}},
volume = {59},
year = {2015}
}

@article{Host2011,
author = {H{\"{o}}st, Martin and Oru{\v{c}}evi{\'{c}}-Alagi{\'{c}}, Alma},
issn = {0950-5849},
journal = {Information and Software Technology},
month = {jun},
number = {6},
pages = {616--624},
publisher = {Elsevier},
title = {{A systematic review of research on open source software in commercial software product development}},
volume = {53},
year = {2011}
}




